package thyyxxk.webserver.aop.interfaces;

import thyyxxk.webserver.enums.authorize.MenuEnum;
import thyyxxk.webserver.enums.authorize.RuleId;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * @author 肖蟾
 * 权限注解
 */
@Target({ElementType.METHOD, ElementType.TYPE})
@Retention(RetentionPolicy.RUNTIME)
public @interface NeedMenu {
    MenuEnum[] value() default {};

    RuleId[] rule() default {};

    boolean simultaneouslySatisfying() default true;
}
